## GtkTearoffMenuItem

GtkTearoffMenuItem — A menu item used to tear off and reattach its menu

## Functions

GtkWidget * | gtk_tearoff_menu_item_new ()

## Types and Values

struct | GtkTearoffMenuItem
struct | GtkTearoffMenuItemClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkMenuItem
                            ╰── GtkTearoffMenuItem

## Implemented Interfaces

GtkTearoffMenuItem implements AtkImplementorIface, GtkBuildable, GtkActivatable and GtkActionable.

## Includes

    #include <gtk/gtk.h>

## Description

A GtkTearoffMenuItem is a special GtkMenuItem which is used to tear off and reattach its menu.

When its menu is shown normally, the GtkTearoffMenuItem is drawn as a dotted line indicating that the menu can be torn off. Activating it causes its menu to be torn off and displayed in its own window as a tearoff menu.

When its menu is shown as a tearoff menu, the GtkTearoffMenuItem is drawn as a dotted line which has a left pointing arrow graphic indicating that the tearoff menu can be reattached. Activating it will erase the tearoff menu window.

> GtkTearoffMenuItem is deprecated and should not be used in newly written code. Menus are not meant to be torn around.

## Functions

### gtk_tearoff_menu_item_new ()

    GtkWidget *
    gtk_tearoff_menu_item_new (void);

`gtk_tearoff_menu_item_new` has been deprecated since version 3.4 and should not be used in newly-written code.

GtkTearoffMenuItem is deprecated and should not be used in newly written code.

Creates a new GtkTearoffMenuItem.

#### Returns

a new GtkTearoffMenuItem.

## Types and Values

### struct GtkTearoffMenuItem

    struct GtkTearoffMenuItem;

### struct GtkTearoffMenuItemClass

    struct GtkTearoffMenuItemClass {
      GtkMenuItemClass parent_class;
    };

#### Members

GtkMenuItemClass `parent_class`; | The parent class. |

## See Also

GtkMenu